#include "stdafx.h"
#include "resource.h"

//     
LRESULT CALLBACK WndProc (HWND hWnd, UINT message, WPARAM wParam, LPARAM lParam)
{
	switch (message) {
		//  
		case WM_PAINT:
			{
				//  ,    ()
				PAINTSTRUCT ps;
				HDC hdc = BeginPaint (hWnd, &ps);

				//     
				RECT rcClient;
				GetClientRect (hWnd, &rcClient);

				//      
				LOGFONT font;
				ZeroMemory (&font, sizeof (font));
				font.lfHeight = 200;
				lstrcpy (font.lfFaceName, "Courier");
				HFONT hfont = CreateFontIndirect (&font);
				HFONT holdfont = (HFONT) SelectObject (hdc, hfont);

				//     
				DrawText (hdc, "X", 1, &rcClient, DT_CENTER | DT_VCENTER | DT_SINGLELINE);

				//  
				SelectObject (hdc, holdfont);
				DeleteObject (hfont);

				//  ,  
				EndPaint (hWnd, &ps);
			}
			break;

		//   
		case WM_DESTROY:
			PostQuitMessage (0);
			break;

		//      
		default:
			return DefWindowProc (hWnd, message, wParam, lParam);
	}
	return 0;
}

//   
int APIENTRY _tWinMain (HINSTANCE hInstance, HINSTANCE, LPTSTR lpCmdLine, int nCmdShow)
{
	//   
	WNDCLASSEX wcex;
	ZeroMemory (&wcex, sizeof (wcex));
	wcex.cbSize = sizeof (WNDCLASSEX);
	wcex.style			= CS_HREDRAW | CS_VREDRAW;
	wcex.lpfnWndProc	= (WNDPROC) WndProc;
	wcex.hInstance		= hInstance;
	wcex.hIcon			= LoadIcon (hInstance, (LPCTSTR) IDI_LB041201);	//  
	wcex.hCursor		= LoadCursor (NULL, IDC_ARROW);					//  
	wcex.hbrBackground	= (HBRUSH) (COLOR_WINDOW + 1);					//   
	wcex.lpszClassName	= "lb041201";
	RegisterClassEx (&wcex);

	//       
	HWND hWnd = CreateWindow (wcex.lpszClassName, wcex.lpszClassName, WS_OVERLAPPEDWINDOW,
      CW_USEDEFAULT, 0, CW_USEDEFAULT, 0, NULL, NULL, hInstance, NULL);
	ShowWindow (hWnd, nCmdShow);
	UpdateWindow (hWnd);

	//     
	MSG msg;
	while (GetMessage(&msg, NULL, 0, 0)) {
		TranslateMessage(&msg);
		DispatchMessage(&msg);
	}

	return (int) msg.wParam;
}
